classification
Title: PCBuild instruction says to use nasmw.exe but it no longer exist
Type: compile error Stage:
Components: Build Versions: Python 3.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: blep, georg.brandl, ssbarnea
Priority: normal Keywords: patch

Created on 2009-11-07 20:18 by blep, last changed 2010-09-13 15:33 by ssbarnea. This issue is now closed.

Files
File name Uploaded Description Edit
nasm-doc.patch blep, 2009-11-07 20:18 Proposed addentum to readme
Messages (3)
msg95025 - (view) Author: Baptiste Lepilleur (blep) Date: 2009-11-07 20:18
PCBuild requires nasmw.exe but it no longer exists in the latest version
of nasm. 

I had to rename nasm.exe to nasmw.exe. Would be nice to add this to the
readme to avoid confusion...
msg112526 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-02 19:43
Fixed in r83554.
msg116315 - (view) Author: Sorin Sbarnea (ssbarnea) * Date: 2010-09-13 15:33
Please reopen the bug, current documentation change is not a proper solution and also it does not work (see below).

Python's openssl repository contain pregenerated mak files (/ms/*.mak), when it should not. 

If you check openssl repository you will see that these are set to be ignored. See http://cvs.openssl.org/fileview?f=openssl/ms/.cvsignore&v=1.2.4.1

OpenSSL build script are able to detect properly nasm (or nasmw) but if you put the resulted mak files on the SVN it will break the build on other systems (like ones not having `nasmw` binary).

There are several solutions for this problem:
* (fast) modify mak files to replace nasmw with nasm - this may break the build on same machines that are not using a current version of nasm, or where people renamed the file instead of making a copy or a symlink.
* (better but harder) remove the /ms/*.mak files from the repository and assure that the build system is calling the original openssl build scripts (the ones that are able to properly generate the mak files).

Initially I considered that this is bug in OpenSSL, but this is not the case: http://rt.openssl.org/index.html?q=2338
History
Date User Action Args
2010-09-13 15:33:12ssbarneasetnosy: + ssbarnea
type: compile error
messages: + msg116315
2010-08-02 19:43:13georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg112526

resolution: fixed
2009-11-07 20:18:51blepcreate